NNotifyy CRM

Objects

List tickets

List tickets with cursor pagination and optional properties, associations, and search filters.

Overview

Use this endpoint to read tickets in pages. Default ticket properties include name, priority, pipeline, stage, and close_date. It requires public api oauth access token authentication and the crm.tickets.read scope.

GET/api/crm/objects/tickets

cURL

GET
bash
curl --request GET \  --url 'https://crm.notifyy.io/api/crm/objects/tickets?properties=name%2Cpriority%2Cpipeline%2Cstage%2Cclose_date&associations=contact%2Ccompany&search=support&limit=25' \  --header 'Authorization: Bearer nfy_public_api_access_token'

Authorization

Public API OAuth access token

crm.tickets.read

Sample Request Body

This endpoint does not require a request body.

Sample Response

json
{  "success": true,  "message": "Tickets retrieved successfully",  "data": {    "tickets": [      {        "id": 55,        "properties": {          "name": "Billing issue",          "priority": "high",          "pipeline": "support_pipeline",          "stage": "open"        },        "associations": {          "contact": [            {              "id": "456",              "type": "ticket_to_contact"            }          ],          "company": [            {              "id": "789",              "type": "ticket_to_company"            }          ]        }      }    ],    "pagination": {      "nextCursor": "opaque-cursor",      "hasMore": true    }  }}

Status Codes

CodeDescription
200Tickets were returned.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Query parameters

propertiesstringOptional

Comma-separated property internal names to return.

Example: name,priority,pipeline,stage,close_date

associationsstringOptional

Comma-separated associated object types to include.

Example: contact,company

searchstringOptional

Search string forwarded to the CRM ticket query service.

Example: support

cursorstringOptional

Opaque cursor returned by a previous list response.

limitintegerOptional

Page size. Defaults to 50 and the maximum is 100.

Example: 25

Response fields

data.ticketsobject[]

List of matching tickets.